YPMATCH(1)

NAME
ypmatch - print the values of one or more keys in a NIS database

SYNOPSIS
ypmatch [-ktz] [-b num_retry] [-d domainname] key ... mapname
ypmatch -x

DESCRIPTION
ypmatch prints out the values of one or more keys from the NIS database specified by mapname, which may be a map name or a map nickname.

The options are as follows:

-b num_retry
    Do not wait infinite time for the ypserver to come up. Retry only the specified number of times. See yp_setbindtries(3) for explanation. The valid range is limited from 0 to 65535 by this program.

-d domainname
    Specify a domain other than the default domain.

-k  Print the map key followed by a colon, before printing key value. This option is useful with maps in which the values are null or the key is not part of the value.

-t  Inhibit translation of map nicknames to their corresponding map names.

-x  Display the map nickname table, found in /var/yp/nicknames. A built-in default translation table is used if /var/yp/nicknames does not exist (see nicknames(5) for details).

-z  Append a NUL character at the end of the key when doing the lookup. This is useful for mail.aliases maps, which include a trailing NUL in the keys.

SEE ALSO
domainname(1), ypcat(1), ypwhich(1), yp_setbindtries(3), nicknames(5), nis(8), ypbind(8), yppoll(8), ypset(8)

AUTHORS
Theo De Raadt Greywolf